package com.zoo.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.zoo.common.R;
import com.zoo.entity.Account;
import com.zoo.service.IAccountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.stereotype.Controller;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author DJ
 * @since 2024-05-17
 */
@RestController
@RequestMapping("/zoo/account")
public class AccountController {
    @Autowired
    IAccountService iAccountService;

    @GetMapping("/info")
    public R info(String username) {
        if (username!=null){
            QueryWrapper<Account> queryWrapper = new QueryWrapper<>();
            queryWrapper.eq("username",username);
            return R.success(iAccountService.getOne(queryWrapper));
        }

        return R.success(iAccountService.list());
    }


    @PostMapping("/save")
    public R save(@RequestBody Account account){
        boolean save = iAccountService.save(account);
        if (save){
            return R.success("添加成功");
        }
        return R.error("添加失败");
    }

    @PostMapping("/update")
    public R update(@RequestBody Account account){
        QueryWrapper<Account> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("id",account.getId());
        boolean b = iAccountService.update(account,queryWrapper);
        if (b){
            return R.success("修改成功");
        }
        return R.error("修改失败");
    }

    @GetMapping("/delete")
    public R delete(Integer id){
        QueryWrapper<Account> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("id",id);
        boolean b = iAccountService.remove(queryWrapper);
        if (b){
            return R.success("删除成功");
        }
        return R.error("删除失败");
    }

}
